@import "variables";
@import "vendor/bootstrap/bootstrap/variables";

// community writers

.community-writers-container {
  background-image: url("/images/community-writers/header-background-img.jpg");
  background-size: cover;
  background-position: center 0;
  background-repeat: no-repeat;
  max-height: 620px;
  padding-top: 20px;

  &::after {
    background-image: linear-gradient(to bottom, rgba($landing-community-bg, .75), $landing-community-bg 65%);
    opacity: .95;
    position: absolute;
    content: "";
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
  }

  .container {
    position: relative;
    z-index: 9;
  }

  .page-headline {
    margin-bottom: 0;

    &.cta {
      @media (min-width: $screen-sm-min) {
        padding-top: 75px;
      }
    }
  }

  .subheader {
    margin-bottom: 25px;
    color: $color-gray-light;
    font-weight: 300;
    font-size: 20px;

    @media (min-width: $screen-sm-min) {
      margin-bottom: 20px;
    }

    &.cta {
      margin-bottom: 18px;
    }

    .contact-us {
      border-bottom: 1px solid $color-gray-light;
      color: $color-gray-light;
      font-weight: 300;

      &:hover {
        text-decoration: none;
      }
    }
  }

  .btn + .btn {
    margin-left: 10px;
  }
}

.comm-writers-gray {
  margin-bottom: -50px;

  .container {
    padding-bottom: 20px;
  }
}

.mix-color {
  h3 {
    span {
      color: $color-primary;
      font-weight: 600;
    }
  }
}

.icon-purple {
  .feature-icon {
    fill: $color-primary;
  }
}

// cycle-analytics

.cycle-analytics-container {
  background-image: url("/images/cycle-analytics/header-background-img.png");
  background-size: cover;
  background-position: center 0;
  background-repeat: no-repeat;
  max-height: 620px;
  padding-top: 20px;

  &::after {
    background-image: linear-gradient(to bottom, rgba($landing-community-bg, .85), $landing-community-bg 75%);
    position: absolute;
    content: "";
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
  }

  .container {
    position: relative;
    z-index: 9;
  }

  .page-headline {
    margin-bottom: 0;

    &.cta {
      @media (min-width: $screen-sm-min) {
        padding-top: 75px;
      }
    }
  }

  .subheader {
    margin-bottom: 25px;
    color: $color-gray-extra-light;
    font-weight: 300;
    font-size: 20px;

    @media (min-width: $screen-sm-min) {
      margin-bottom: 20px;
    }

    &.cta {
      margin-bottom: 18px;
    }

    .contact-us {
      border-bottom: 1px solid $color-gray-light;
      color: $color-gray-light;
      font-weight: 300;

      &:hover {
        text-decoration: none;
      }
    }
  }

  .btn + .btn {
    margin-left: 10px;
  }
}

// issue-board

.issue-boards-container {
  background-image: url("/images/issue-boards/header-background-photo.png");
  background-size: cover;
  background-position: center 0;
  background-repeat: no-repeat;
  max-height: 620px;
  padding-top: 20px;

  &::after {
    background-image: linear-gradient(to bottom, rgba($landing-community-bg, .85), $landing-community-bg 75%);
    position: absolute;
    content: "";
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
  }

  .container {
    position: relative;
    z-index: 9;
  }

  .page-headline {
    margin-bottom: 0;

    &.cta {
      @media (min-width: $screen-sm-min) {
        padding-top: 75px;
      }
    }
  }

  .subheader {
    margin-bottom: 25px;
    color: $color-gray-extra-light;
    font-weight: 300;
    font-size: 20px;

    @media (min-width: $screen-sm-min) {
      margin-bottom: 20px;
    }

    &.cta {
      margin-bottom: 18px;
    }

    .contact-us {
      border-bottom: 1px solid $color-gray-light;
      color: $color-gray-light;
      font-weight: 300;

      &:hover {
        text-decoration: none;
      }
    }
  }

  .btn + .btn {
    margin-left: 10px;
  }
}

// review-apps

.review-apps-container {
  // background-image: url("/images/cycle-analytics/header-background-img.png");
  background-size: cover;
  background-position: center 0;
  background-repeat: no-repeat;
  max-height: 620px;
  padding-top: 20px;

  &::after {
    background-image: linear-gradient(to bottom, rgba($landing-community-bg, .95), $landing-community-bg 75%);
    position: absolute;
    content: "";
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
  }

  .container {
    position: relative;
    z-index: 9;
  }

  .page-headline {
    margin-bottom: 0;

    &.cta {
      @media (min-width: $screen-sm-min) {
        padding-top: 75px;
      }
    }
  }

  .subheader {
    margin-bottom: 25px;
    color: $color-gray-extra-light;
    font-weight: 300;
    font-size: 20px;

    @media (min-width: $screen-sm-min) {
      margin-bottom: 20px;
    }

    &.cta {
      margin-bottom: 18px;
    }

    .contact-us {
      border-bottom: 1px solid $color-gray-light;
      color: $color-gray-light;
      font-weight: 300;

      &:hover {
        text-decoration: none;
      }
    }
  }

  .btn + .btn {
    margin-left: 10px;
  }
}

// ----------- general ---------- //

.line-separator {
  background: $landing-organization-color;
  margin: 12px auto;
  width: 15px;
  height: 1px;
}

.content-container {
  .page-headline {
    padding-bottom: 25px;
    color: $color-primary;
    max-width: 910px;
    margin: auto;

    @media (min-width: $screen-md-min) {
      padding-bottom: 55px;
    }

    @media (min-width: $screen-md-min) {
      padding-bottom: 75px;
    }
  }

  &.white-bg {
    background-color: $color-white;
  }

  .feature-item-graphic {
    margin-top: 15px;
  }
}

.header-graphic img {
  margin: auto;
  height: 40vh;
  max-height: 360px;
}

.purple-section {
  padding-bottom: 40px;
  font-size: 16px;

  &.what-is .featured-item-button {
    min-width: 175px;
  }

  @media (min-width: $screen-md-min) {
    padding-bottom: 60px;
    font-size: 20px;
  }

  @media (min-width: $screen-lg-min) {
    padding-bottom: 120px;
  }
}

.purple-section-title {
  margin-top: 0;
  margin-bottom: 15px;
  font-size: (45px / 20px) * 1em;
  font-weight: 300;
}

.purple-section-subtitle {
  color: $color-secondary-alt;
  text-decoration: none;
  font-size: 1.2em;
  font-weight: 300;

  a {
    border-bottom: 1px solid $color-secondary-alt;
  }

  &:hover,
  &:active,
  &:focus {
    color: $color-secondary-alt;
    text-decoration: none;
    border-bottom-color: transparent;
    outline: 0;
  }
}

.orange-title.page-headline {
  margin-top: 0;
  margin-bottom: 0;
  color: $color-secondary;
  font-size: 30px;

  @media (min-width: $screen-md-min) {
    font-size: 47px;
  }
}

.feature-item {
  margin-bottom: 50px;

  h3 {
    color: $color-secondary;
  }

  p {
    max-width: 650px;
    margin-left: auto;
    margin-right: auto;
    font-size: 18px;
    font-weight: 300;
  }

  &.step-content p {
    font-size: 20px;
    font-weight: normal;
  }
}

.feature-icon {
  fill: $color-secondary;
}

.img-explainer {
  background-color: $landing-community-bg;

  .page-headline {
    color: $color-white;
  }

  img {
    max-width: 90%;
    margin-right: auto;
    margin-left: auto;

    @media (max-width: $screen-md-max) {
      max-width: 100%;
    }

    @media (max-width: $screen-xs-max) {
      max-width: 100%;
    }
  }
}

.video-explainer {
  background-color: $landing-community-bg;

  .page-headline {
    color: $color-white;
  }

  iframe {
    width: 969px;
    height: 612px;

    @media (max-width: $screen-md-max) {
      width: 646px;
      height: 408px;
    }

    @media (max-width: $screen-xs-max) {
      width: 323px;
      height: 204px;
    }
  }
}

.steps {
  font-size: 14px;

  @media (min-width: $screen-sm-min) {
    font-size: 17px;
  }

  @media (min-width: $screen-md-min) {
    font-size: 20px;
  }

  .step {
    padding-top: 40px;
    padding-bottom: 40px;

    @media (min-width: $screen-sm-min) {
      padding-top: 50px;
      padding-bottom: 50px;

      // Vertically center the text next to screenshots unless it's a
      // mobile device.
      .row {
        display: flex;
        align-items: center;
      }
    }

    @media (min-width: $screen-md-min) {
      padding-top: 60px;
      padding-bottom: 60px;
    }

    @media (min-width: $screen-lg-min) {
      padding-top: 60px;
      padding-bottom: 30px;
    }

    &.is-visible {
      .step-icon {
        opacity: 1;
        transform: scale(1);
      }

      .step-number {
        opacity: 1;
        transform: translateY(0);
      }

      .step-content-holder {
        opacity: 1;
        transform: translateY(0);
      }
    }
  }

  a {
    color: $color-primary-alt;
    cursor: pointer;
  }
}

.step-row-spacing {
  padding-bottom: 15px;

  @media (min-width: $screen-md-min) {
    padding-bottom: 20px;
  }

  @media (min-width: $screen-lg-min) {
    padding-bottom: 30px;
  }
}

.step-icon-container {
  padding-bottom: 15px;
}

.step-icon {
  position: relative;
  display: block;
  fill: $color-secondary;
  margin: auto;
  transform: scale(0);
  opacity: 0;
  transition: .25s ease-in-out;
}

.step-number {
  font-size: (15px / 20px) * 1em;
  display: block;
  margin-top: 10px;
  margin-bottom: 0;
  color: $color-secondary;
  font-weight: 400;
  text-transform: uppercase;
  opacity: 0;
  transform: translateY(-30px);
  transition: .55s .25s ease-in-out;

  @media (max-width: $screen-xs-max) {
    font-size: (14px / 14px) * 1em;
  }
}

.step-content-holder {
  opacity: 0;
  transform: translateY(60px);
  transition: .8s .2s ease-in-out;
}

.step-title {
  font-size: (48px / 20px) * 1em;
  margin-top: 0;
  margin-bottom: 20px;
  color: $color-secondary;
  font-weight: 300;
  line-height: 1;
}

.step-lead-text {
  font-size: (24px / 20px) * 1em;

  &:not(.step-lead-text-last) {
    margin-bottom: 20px;

    @media (min-width: $screen-sm-min) {
      margin-bottom: 35px;
    }

    @media (min-width: $screen-md-min) {
      margin-bottom: 50px;
    }

    @media (min-width: $screen-lg-min) {
      margin-bottom: 75px;
    }
  }

  p {
    margin: 0;
  }

  a {
    font-weight: 300;
  }
}

.step-content {
  font-size: (20px / 20px) * 1em;

  @media (max-width: $screen-xs-max) {
    padding-top: 20px;
  }

  p {
    margin: 0;
    margin-bottom: 12px;
    text-align: justify;
  }

  blockquote {
    color: $color-secondary;
    font-style: italic;
  }
}

.step-image-container {
  max-width: 100%;
  padding: 10px;
  margin-bottom: 10px;
}

.step-image {
  padding: 0;

  img {
    max-width: 100%;
    max-height: 100%;
  }
}

.getting-started-subheader {
  margin-top: 0;
  margin-bottom: 0;
  font-size: 18px;
  font-weight: 300;

  @media (min-width: $screen-md-min) {
    margin-top: -50px;
  }

  @media (min-width: $screen-sm-min) {
    margin-left: 150px;
    margin-right: 150px;
  }
}

a {
  &.purple {
    color: $color-primary-alt;
    cursor: pointer;

    &:hover {
      color: $color-secondary;
      text-decoration: none;
    }
  }
}
